Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.io
Class DefaultHttpRequestParserFactory

    java.lang.Object
      org.apache.http.impl.io.DefaultHttpRequestParserFactory

All Implemented Interfaces:
  HttpMessageParserFactory<HttpRequest>

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class DefaultHttpRequestParserFactory

extends Object
implements HttpMessageParserFactory<HttpRequest>

Default factory for request message parsers.

Since:
  4.3

Field Summary
`static DefaultHttpRequestParserFactory` | `INSTANCE`

Constructor Summary
`DefaultHttpRequestParserFactory()`
`DefaultHttpRequestParserFactory(LineParser lineParser, HttpRequestFactory requestFactory)`

Method Summary
`HttpMessageParser<HttpRequest>` | `create(SessionInputBuffer buffer, MessageConstraints constraints)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DefaultHttpRequestParserFactory INSTANCE

Constructor Detail

### DefaultHttpRequestParserFactory

    public DefaultHttpRequestParserFactory(LineParser lineParser,
                                           HttpRequestFactory requestFactory)

### DefaultHttpRequestParserFactory

    public DefaultHttpRequestParserFactory()

Method Detail

### create

    public HttpMessageParser<HttpRequest> create(SessionInputBuffer buffer,
                                                 MessageConstraints constraints)

  Specified by:
    `create` in interface `HttpMessageParserFactory<HttpRequest>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.